Package org.opensaml.saml.ext.saml2mdui

# Interface DiscoHints

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `DiscoHintsImpl`

public interface DiscoHints extends SAMLObject
See IdP Discovery and Login UI Metadata Extension Profile.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Name of the element inside the Extensions.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<DomainHint>`
`getDomainHints()`
The <DomainHint> element specifies a set of DNS domains associated with, or serviced by, the entity.
`List<GeolocationHint>`
`getGeolocationHints()`
The <GeolocationHint> element specifies the geographic coordinates associated with, or serviced by, the entity.
`List<IPHint>`
`getIPHints()`
The <IPHint> element specifies a set of [CIDR] blocks associated with, or serviced by, the entity.
`List<XMLObject>`
`getXMLObjects()`
Get the list of all children of this element.
`List<XMLObject>`
`getXMLObjects(QName typeOrName)`
Get the list of all children of this element which have the specified name or type.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Name of the element inside the Extensions.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getIPHints

@Nonnull @Live List<IPHint> getIPHints()
The <IPHint> element specifies a set of [CIDR] blocks associated with, or serviced by, the entity. Both IPv4 and IPv6 CIDR blocks MUST be supported.

Returns:
  hints

### getDomainHints

@Nonnull @Live List<DomainHint> getDomainHints()
The <DomainHint> element specifies a set of DNS domains associated with, or serviced by, the entity.

Returns:
  hints.

### getGeolocationHints

@Nonnull @Live List<GeolocationHint> getGeolocationHints()
The <GeolocationHint> element specifies the geographic coordinates associated with, or serviced by, the entity. Coordinates are given in decimal form using the World Geodetic System (2d) coordinate system.

Returns:
  hints

### getXMLObjects

@Nonnull @Live List<XMLObject> getXMLObjects()
Get the list of all children of this element.

Returns:
  the list of all XMLObject children

### getXMLObjects

@Nonnull @Live List<XMLObject> getXMLObjects(@Nonnull QName typeOrName)
Get the list of all children of this element which have the specified name or type.

Parameters:
  `typeOrName` - the element name or type of the desired list of elements
Returns:
  the list of all XMLObject children